
package com.ejie.ad74a.ws.client.prestadorWS.data;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the com.ejie.ad74a.ws.client.prestadorWS.data package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _ActualizacionDatosDss_QNAME = new QName("http://com.ejie.middleware.webservice", "actualizacionDatosDss");
    private final static QName _ActualizacionDatosDssResponse_QNAME = new QName("http://com.ejie.middleware.webservice", "actualizacionDatosDssResponse");
    private final static QName _AltaPersonaBeneficiaria_QNAME = new QName("http://com.ejie.middleware.webservice", "altaPersonaBeneficiaria");
    private final static QName _AltaPersonaBeneficiariaResponse_QNAME = new QName("http://com.ejie.middleware.webservice", "altaPersonaBeneficiariaResponse");
    private final static QName _BajaPersonaBeneficiaria_QNAME = new QName("http://com.ejie.middleware.webservice", "bajaPersonaBeneficiaria");
    private final static QName _BajaPersonaBeneficiariaResponse_QNAME = new QName("http://com.ejie.middleware.webservice", "bajaPersonaBeneficiariaResponse");
    private final static QName _CambioDomicilio_QNAME = new QName("http://com.ejie.middleware.webservice", "cambioDomicilio");
    private final static QName _CambioDomicilioResponse_QNAME = new QName("http://com.ejie.middleware.webservice", "cambioDomicilioResponse");
    private final static QName _RecepcionPeticionAd74A_QNAME = new QName("http://com.ejie.middleware.webservice", "recepcionPeticionAd74a");
    private final static QName _RecepcionPeticionAd74AResponse_QNAME = new QName("http://com.ejie.middleware.webservice", "recepcionPeticionAd74aResponse");
    private final static QName _X87BException_QNAME = new QName("http://com.ejie.middleware.webservice", "X87bException");
    private final static QName _Principal_QNAME = new QName("http://com.ejie.middleware.webservice", "principal");
    private final static QName _Credencial_QNAME = new QName("http://com.ejie.middleware.webservice", "credencial");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.ejie.ad74a.ws.client.prestadorWS.data
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link ActualizacionDatosDss }
     * 
     */
    public ActualizacionDatosDss createActualizacionDatosDss() {
        return new ActualizacionDatosDss();
    }

    /**
     * Create an instance of {@link ActualizacionDatosDssResponse }
     * 
     */
    public ActualizacionDatosDssResponse createActualizacionDatosDssResponse() {
        return new ActualizacionDatosDssResponse();
    }

    /**
     * Create an instance of {@link AltaPersonaBeneficiaria }
     * 
     */
    public AltaPersonaBeneficiaria createAltaPersonaBeneficiaria() {
        return new AltaPersonaBeneficiaria();
    }

    /**
     * Create an instance of {@link AltaPersonaBeneficiariaResponse }
     * 
     */
    public AltaPersonaBeneficiariaResponse createAltaPersonaBeneficiariaResponse() {
        return new AltaPersonaBeneficiariaResponse();
    }

    /**
     * Create an instance of {@link BajaPersonaBeneficiaria }
     * 
     */
    public BajaPersonaBeneficiaria createBajaPersonaBeneficiaria() {
        return new BajaPersonaBeneficiaria();
    }

    /**
     * Create an instance of {@link BajaPersonaBeneficiariaResponse }
     * 
     */
    public BajaPersonaBeneficiariaResponse createBajaPersonaBeneficiariaResponse() {
        return new BajaPersonaBeneficiariaResponse();
    }

    /**
     * Create an instance of {@link CambioDomicilio }
     * 
     */
    public CambioDomicilio createCambioDomicilio() {
        return new CambioDomicilio();
    }

    /**
     * Create an instance of {@link CambioDomicilioResponse }
     * 
     */
    public CambioDomicilioResponse createCambioDomicilioResponse() {
        return new CambioDomicilioResponse();
    }

    /**
     * Create an instance of {@link RecepcionPeticionAd74A }
     * 
     */
    public RecepcionPeticionAd74A createRecepcionPeticionAd74A() {
        return new RecepcionPeticionAd74A();
    }

    /**
     * Create an instance of {@link RecepcionPeticionAd74AResponse }
     * 
     */
    public RecepcionPeticionAd74AResponse createRecepcionPeticionAd74AResponse() {
        return new RecepcionPeticionAd74AResponse();
    }

    /**
     * Create an instance of {@link X87BException }
     * 
     */
    public X87BException createX87BException() {
        return new X87BException();
    }

    /**
     * Create an instance of {@link CabeceraType }
     * 
     */
    public CabeceraType createCabeceraType() {
        return new CabeceraType();
    }

    /**
     * Create an instance of {@link BeneficiarioType }
     * 
     */
    public BeneficiarioType createBeneficiarioType() {
        return new BeneficiarioType();
    }

    /**
     * Create an instance of {@link DatosAltaType }
     * 
     */
    public DatosAltaType createDatosAltaType() {
        return new DatosAltaType();
    }

    /**
     * Create an instance of {@link DatosBeneficiario }
     * 
     */
    public DatosBeneficiario createDatosBeneficiario() {
        return new DatosBeneficiario();
    }

    /**
     * Create an instance of {@link DatosContacto }
     * 
     */
    public DatosContacto createDatosContacto() {
        return new DatosContacto();
    }

    /**
     * Create an instance of {@link DireccionType }
     * 
     */
    public DireccionType createDireccionType() {
        return new DireccionType();
    }

    /**
     * Create an instance of {@link ContactoType }
     * 
     */
    public ContactoType createContactoType() {
        return new ContactoType();
    }

    /**
     * Create an instance of {@link DatosInformeSocialType }
     * 
     */
    public DatosInformeSocialType createDatosInformeSocialType() {
        return new DatosInformeSocialType();
    }

    /**
     * Create an instance of {@link InformeMedicoType }
     * 
     */
    public InformeMedicoType createInformeMedicoType() {
        return new InformeMedicoType();
    }

    /**
     * Create an instance of {@link Respuesta }
     * 
     */
    public Respuesta createRespuesta() {
        return new Respuesta();
    }

    /**
     * Create an instance of {@link DatosBajaType }
     * 
     */
    public DatosBajaType createDatosBajaType() {
        return new DatosBajaType();
    }

    /**
     * Create an instance of {@link DatosModificacionType }
     * 
     */
    public DatosModificacionType createDatosModificacionType() {
        return new DatosModificacionType();
    }

    /**
     * Create an instance of {@link DatosDomicilioType }
     * 
     */
    public DatosDomicilioType createDatosDomicilioType() {
        return new DatosDomicilioType();
    }

    /**
     * Create an instance of {@link RecepcionServicioAd74AType }
     * 
     */
    public RecepcionServicioAd74AType createRecepcionServicioAd74AType() {
        return new RecepcionServicioAd74AType();
    }

    /**
     * Create an instance of {@link RespuestaRecepcionPeticion }
     * 
     */
    public RespuestaRecepcionPeticion createRespuestaRecepcionPeticion() {
        return new RespuestaRecepcionPeticion();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ActualizacionDatosDss }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link ActualizacionDatosDss }{@code >}
     */
    @XmlElementDecl(namespace = "http://com.ejie.middleware.webservice", name = "actualizacionDatosDss")
    public JAXBElement<ActualizacionDatosDss> createActualizacionDatosDss(ActualizacionDatosDss value) {
        return new JAXBElement<ActualizacionDatosDss>(_ActualizacionDatosDss_QNAME, ActualizacionDatosDss.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ActualizacionDatosDssResponse }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link ActualizacionDatosDssResponse }{@code >}
     */
    @XmlElementDecl(namespace = "http://com.ejie.middleware.webservice", name = "actualizacionDatosDssResponse")
    public JAXBElement<ActualizacionDatosDssResponse> createActualizacionDatosDssResponse(ActualizacionDatosDssResponse value) {
        return new JAXBElement<ActualizacionDatosDssResponse>(_ActualizacionDatosDssResponse_QNAME, ActualizacionDatosDssResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link AltaPersonaBeneficiaria }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link AltaPersonaBeneficiaria }{@code >}
     */
    @XmlElementDecl(namespace = "http://com.ejie.middleware.webservice", name = "altaPersonaBeneficiaria")
    public JAXBElement<AltaPersonaBeneficiaria> createAltaPersonaBeneficiaria(AltaPersonaBeneficiaria value) {
        return new JAXBElement<AltaPersonaBeneficiaria>(_AltaPersonaBeneficiaria_QNAME, AltaPersonaBeneficiaria.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link AltaPersonaBeneficiariaResponse }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link AltaPersonaBeneficiariaResponse }{@code >}
     */
    @XmlElementDecl(namespace = "http://com.ejie.middleware.webservice", name = "altaPersonaBeneficiariaResponse")
    public JAXBElement<AltaPersonaBeneficiariaResponse> createAltaPersonaBeneficiariaResponse(AltaPersonaBeneficiariaResponse value) {
        return new JAXBElement<AltaPersonaBeneficiariaResponse>(_AltaPersonaBeneficiariaResponse_QNAME, AltaPersonaBeneficiariaResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link BajaPersonaBeneficiaria }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link BajaPersonaBeneficiaria }{@code >}
     */
    @XmlElementDecl(namespace = "http://com.ejie.middleware.webservice", name = "bajaPersonaBeneficiaria")
    public JAXBElement<BajaPersonaBeneficiaria> createBajaPersonaBeneficiaria(BajaPersonaBeneficiaria value) {
        return new JAXBElement<BajaPersonaBeneficiaria>(_BajaPersonaBeneficiaria_QNAME, BajaPersonaBeneficiaria.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link BajaPersonaBeneficiariaResponse }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link BajaPersonaBeneficiariaResponse }{@code >}
     */
    @XmlElementDecl(namespace = "http://com.ejie.middleware.webservice", name = "bajaPersonaBeneficiariaResponse")
    public JAXBElement<BajaPersonaBeneficiariaResponse> createBajaPersonaBeneficiariaResponse(BajaPersonaBeneficiariaResponse value) {
        return new JAXBElement<BajaPersonaBeneficiariaResponse>(_BajaPersonaBeneficiariaResponse_QNAME, BajaPersonaBeneficiariaResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CambioDomicilio }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link CambioDomicilio }{@code >}
     */
    @XmlElementDecl(namespace = "http://com.ejie.middleware.webservice", name = "cambioDomicilio")
    public JAXBElement<CambioDomicilio> createCambioDomicilio(CambioDomicilio value) {
        return new JAXBElement<CambioDomicilio>(_CambioDomicilio_QNAME, CambioDomicilio.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CambioDomicilioResponse }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link CambioDomicilioResponse }{@code >}
     */
    @XmlElementDecl(namespace = "http://com.ejie.middleware.webservice", name = "cambioDomicilioResponse")
    public JAXBElement<CambioDomicilioResponse> createCambioDomicilioResponse(CambioDomicilioResponse value) {
        return new JAXBElement<CambioDomicilioResponse>(_CambioDomicilioResponse_QNAME, CambioDomicilioResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link RecepcionPeticionAd74A }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link RecepcionPeticionAd74A }{@code >}
     */
    @XmlElementDecl(namespace = "http://com.ejie.middleware.webservice", name = "recepcionPeticionAd74a")
    public JAXBElement<RecepcionPeticionAd74A> createRecepcionPeticionAd74A(RecepcionPeticionAd74A value) {
        return new JAXBElement<RecepcionPeticionAd74A>(_RecepcionPeticionAd74A_QNAME, RecepcionPeticionAd74A.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link RecepcionPeticionAd74AResponse }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link RecepcionPeticionAd74AResponse }{@code >}
     */
    @XmlElementDecl(namespace = "http://com.ejie.middleware.webservice", name = "recepcionPeticionAd74aResponse")
    public JAXBElement<RecepcionPeticionAd74AResponse> createRecepcionPeticionAd74AResponse(RecepcionPeticionAd74AResponse value) {
        return new JAXBElement<RecepcionPeticionAd74AResponse>(_RecepcionPeticionAd74AResponse_QNAME, RecepcionPeticionAd74AResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link X87BException }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link X87BException }{@code >}
     */
    @XmlElementDecl(namespace = "http://com.ejie.middleware.webservice", name = "X87bException")
    public JAXBElement<X87BException> createX87BException(X87BException value) {
        return new JAXBElement<X87BException>(_X87BException_QNAME, X87BException.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link String }{@code >}
     */
    @XmlElementDecl(namespace = "http://com.ejie.middleware.webservice", name = "principal")
    public JAXBElement<String> createPrincipal(String value) {
        return new JAXBElement<String>(_Principal_QNAME, String.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link String }{@code >}
     */
    @XmlElementDecl(namespace = "http://com.ejie.middleware.webservice", name = "credencial")
    public JAXBElement<String> createCredencial(String value) {
        return new JAXBElement<String>(_Credencial_QNAME, String.class, null, value);
    }

}
